org.apache.sysds.runtime.instructions.spark.functions

## Class OuterVectorBinaryOpFunction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.functions.OuterVectorBinaryOpFunction

All Implemented Interfaces:
  Serializable, org.apache.spark.api.java.function.PairFlatMapFunction<scala.Tuple2<MatrixIndexes,MatrixBlock>,MatrixIndexes,MatrixBlock>

    public class OuterVectorBinaryOpFunction
    extends Object
    implements org.apache.spark.api.java.function.PairFlatMapFunction<scala.Tuple2<MatrixIndexes,MatrixBlock>,MatrixIndexes,MatrixBlock>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`OuterVectorBinaryOpFunction(BinaryOperator op, PartitionedBroadcast<MatrixBlock> binput)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.sysds.runtime.instructions.spark.functions.OuterVectorBinaryOpFunction.OuterVectorBinaryOpIterator` `call(scala.Tuple2<MatrixIndexes,MatrixBlock> arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OuterVectorBinaryOpFunction

    public OuterVectorBinaryOpFunction(BinaryOperator op,
                                       PartitionedBroadcast<MatrixBlock> binput)

### Method Detail

#### call

    public org.apache.sysds.runtime.instructions.spark.functions.OuterVectorBinaryOpFunction.OuterVectorBinaryOpIterator call(scala.Tuple2<MatrixIndexes,MatrixBlock> arg0)
                                                                                                                       throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.PairFlatMapFunction<scala.Tuple2<MatrixIndexes,MatrixBlock>,MatrixIndexes,MatrixBlock>`
Throws:
  `Exception`